# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# Tests disabled due to a plethora of missing dependencies

%global barename bluebird

Name:               nodejs-bluebird
Version:            3.4.1
Release:            1%{?dist}
Summary:            Full featured Promises/A+ implementation

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/bluebird
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6



%if 0%{?enable_tests}
BuildRequires:      npm(jshint-stylish)
BuildRequires:      npm(avow)
BuildRequires:      npm(grunt)
BuildRequires:      npm(jquery-browserify)
BuildRequires:      npm(mocha)
BuildRequires:      npm(concurrent)
BuildRequires:      npm(sinon)
BuildRequires:      npm(rimraf)
BuildRequires:      npm(acorn)
BuildRequires:      npm(semver-utils)
BuildRequires:      npm(grunt-cli)
BuildRequires:      npm(grunt-saucelabs)
BuildRequires:      npm(browserify)
BuildRequires:      npm(jsdom)
BuildRequires:      npm(q)
BuildRequires:      npm(grunt-contrib-concat)
BuildRequires:      npm(grunt-contrib-connect)
BuildRequires:      npm(grunt-contrib-jshint)
BuildRequires:      npm(text-table)
BuildRequires:      npm(when)
BuildRequires:      npm(grunt-contrib-watch)
BuildRequires:      npm(deferred)
BuildRequires:      npm(mkdirp)
BuildRequires:      npm(kew)
BuildRequires:      npm(rsvp)
%endif


%description
Bluebird is a fully featured promise library with focus on innovative features
and performance

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
# nothing

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/bluebird
cp -pr package.json js/ \
    %{buildroot}%{nodejs_sitelib}/bluebird

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
grunt test
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/bluebird/

%changelog
* Fri Jul 29 2016 Jared Smith <jsmith@fedoraproject.org> - 3.4.1-1
- Update to upstream 3.4.1 release

* Thu Feb 25 2016 Jared Smith <jsmith@fedoraproject.org> - 2.10.2-1
- Update to upstream 2.10.2 release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 2.9.12-1
- new version

* Wed Dec 10 2014 Ralph Bean <rbean@redhat.com> - 2.3.11-1
- Latest upstream.

* Mon Aug 18 2014 Ralph Bean <rbean@redhat.com> - 2.3.0-1
- Latest upstream.

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 2.2.2-1
- Initial packaging for Fedora.
